List users
import requests
url = "https://{FUSION HOST}/api/users"
response = requests.get(url)
print(response.text)[
{
"id": "e17170e6-9141-4bb2-be87-22d3fa8b6f64",
"name": "lw-ai",
"createdAt": "2024-09-25T14:39:25Z",
"updatedAt": "2025-08-07T23:17:32Z",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"HEAD"
],
"path": "/lw-docs/**"
},
{
"methods": [
"POST"
],
"path": "/lw-docs"
}
],
"uiPermissions": []
},
{
"id": "0a61a9e1-6004-4c1b-bdf6-3f2f2ded1438",
"name": "admin",
"createdAt": "2023-10-05T20:09:50Z",
"desc": "Full access to every service. This is the super-admin role.",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"PATCH",
"HEAD"
],
"path": "/**"
},
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"HEAD"
],
"path": "/solrAdmin/**"
}
],
"uiPermissions": [
"*"
]
}
]List users
Fetch the list of users, optionally filtered by name or realm.
GET
/
users
List users
import requests
url = "https://{FUSION HOST}/api/users"
response = requests.get(url)
print(response.text)[
{
"id": "e17170e6-9141-4bb2-be87-22d3fa8b6f64",
"name": "lw-ai",
"createdAt": "2024-09-25T14:39:25Z",
"updatedAt": "2025-08-07T23:17:32Z",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"HEAD"
],
"path": "/lw-docs/**"
},
{
"methods": [
"POST"
],
"path": "/lw-docs"
}
],
"uiPermissions": []
},
{
"id": "0a61a9e1-6004-4c1b-bdf6-3f2f2ded1438",
"name": "admin",
"createdAt": "2023-10-05T20:09:50Z",
"desc": "Full access to every service. This is the super-admin role.",
"permissions": [
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"PATCH",
"HEAD"
],
"path": "/**"
},
{
"methods": [
"PUT",
"POST",
"GET",
"DELETE",
"HEAD"
],
"path": "/solrAdmin/**"
}
],
"uiPermissions": [
"*"
]
}
]Query Parameters
Optional username to filter by. If not specified, then all users are returned.
Optional realm name to filter by. If not specified, then all users from all realms are returned.
Response
200 - */*
OK
Example:
"fe0885f2-8885-4c46-a3ea-8e5d0041c293"
Example:
"admin"
Example:
"ldap-internal"
Example:
"2025-09-23T17:48:07Z"
Example:
"2025-10-31T12:28:04Z"
Indicates which roles are dynamically applied to users in the realm.
Example:
["search", "developer"]Example:
"Pacific Time (US & Canada)"
Show child attributes
Show child attributes
Was this page helpful?
⌘I